Bug 137075 - Apparent utf8 bug in Perl's join()
Apparent utf8 bug in Perl's join()
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2004-10-25 13:48 EDT by Daniel Fisher
Modified: 2010-10-21 22:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-881
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 09:57:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Fisher 2004-10-25 13:48:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914
Firefox/0.10.1

Description of problem:
(Submitting for a customer)

There is a bug in the 'join' function.
It is documented at:
http://rt.perl.org/rt3/Ticket/Display.html?id=24846

Here is a test case:
use strict;
use Encode qw(is_utf8);
use Test::More qw(no_plan);
my $ascii = "abc\304";
my $utf8 = "abc\x{0100}";
for ($utf8, $ascii) {
my $res = join("", $_);
is(is_utf8($res), $_ eq $utf8);
}
__END__

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create program specified above
2. program should come back with 2 OK's, but only comes back with 1
3.
    

Additional info:
Comment 1 Marc David Rovner 2004-12-10 14:17:39 EST
ping?
Comment 2 Marc David Rovner 2005-02-17 16:41:14 EST
Still no update, eh?
Comment 6 Jason Vas Dias 2005-11-08 22:34:39 EST
This is upstream perl bug '24846: Apparent utf8 bug in join()', 
   http://rt.perl.org/rt3/index.html?q=24846
fixed with upstream patch 22117, now applied to perl-5.8.0-90.2 in CVS .
Comment 10 Red Hat Bugzilla 2005-12-20 09:57:52 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-881.html

Note You need to log in before you can comment on or make changes to this bug.